apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend
  namespace: myapp
spec:
  replicas: 2
  selector:
    matchLabels:
      app: frontend
  template:
    metadata:
      labels:
        app: frontend
    spec:
      containers:
      - name: node
        image: node:21-alpine
        command: ['sh', '-c', "sleep 3000"]
        ports:
        - containerPort: 3000
